Summary:	A console application which monitors network traffic and bandwidth usage in real time
Summary(pl.UTF-8):	Konsolowa aplikacja monitorująca ruch w sieci w czasie rzeczywistym
Name:		nload
Version:	0.7.2
Release:	3
License:	GPL v2
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/nload/%{name}-%{version}.tar.gz
# Source0-md5:	5b851ecf898edcd1f465946745e95eb6
Patch0:		%{name}-form_field_h.patch
Patch1:		%{name}-ncurses.patch
URL:		http://www.roland-riegel.de/nload/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-ext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nload is a console application which monitors network traffic and
bandwidth usage in real time. It visualizes the in- and outgoing
traffic using two graphs and provides additionally info like total
amount of transfered data and min/max network usage.

%description -l pl.UTF-8
nload jest konsolową aplikacją monitorującą w czasie rzeczywistym ruch
pakietów i obciążenie sieci. Obrazuje ruch z i do za pomocą dwóch
wykresów i udostępnia dodatkowe informacje takie jak całkowita ilość
przesłanych danych oraz minimalne/maksymalne wykorzystanie pasma.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -I/usr/include/ncurses"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nload.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 24f1048
- ncurses rebuild
- release 3 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 19332d5
- release 2

* Sat Oct 11 2008 duddits <duddits@pld-linux.org> 5e96644
- updated to fit 0.7.2

* Sat Oct 11 2008 duddits <duddits@pld-linux.org> 877869b
- up to 0.7.2
- patch fixing ncurses paths added
- form_field_h.patch updated

* Sat Oct 11 2008 duddits <duddits@pld-linux.org> f33e5f1
- fixes ncurses paths

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3622f08
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d5cbc8
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 6345f37
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 02f350a
- BR: ncurses-ext-devel

* Fri Jan 02 2004 eothane <eothane@pld-linux.org> c77c07a
- autoupdated to 0.6.0

* Mon Sep 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 9194e23
- updated to 0.5.0, removed obsolete patches, added form_field_h patch

* Mon Sep 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 3b13f35
- fixes build

* Mon Sep 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 0601a0b
- outdated

* Mon Sep 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 611f3b2
- outdated

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 56c16d0
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 382e5c0
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Feb 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 2034d66
- working Source URL

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> b6e100c
- new %%doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> e4dd1d1
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> aeef34c
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

